Create knowledge bases
curl --request POST \
--url https://api.callaro.ai/api/v1/knowledge-bases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_base": {
"name": "<string>",
"description": "<string>",
"prompt_summary_text": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base: {name: '<string>', description: '<string>', prompt_summary_text: '<string>'}
})
};
fetch('https://api.callaro.ai/api/v1/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-bases"
payload = { "knowledge_base": {
"name": "<string>",
"description": "<string>",
"prompt_summary_text": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"publication_status": "<string>",
"processing_status": "<string>",
"unpublished_changes": "<string>",
"slug": "<string>",
"summary_char_limit": 123,
"summary_model_provider": "<string>",
"summary_model_name": "<string>",
"summary_version": "<string>",
"prompt_summary_status": "<string>",
"prompt_summary_generated_at": "<string>",
"last_source_change_at": "<string>",
"can_publish": "<string>",
"publish_blockers": "<string>",
"latest_summary_generation": "<string>",
"source_count": 123,
"document_count": 123,
"block_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}KnowledgeBases
Create knowledge bases
From api/v1/knowledge_bases#create in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
knowledge-bases
Create knowledge bases
curl --request POST \
--url https://api.callaro.ai/api/v1/knowledge-bases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_base": {
"name": "<string>",
"description": "<string>",
"prompt_summary_text": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base: {name: '<string>', description: '<string>', prompt_summary_text: '<string>'}
})
};
fetch('https://api.callaro.ai/api/v1/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-bases"
payload = { "knowledge_base": {
"name": "<string>",
"description": "<string>",
"prompt_summary_text": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"publication_status": "<string>",
"processing_status": "<string>",
"unpublished_changes": "<string>",
"slug": "<string>",
"summary_char_limit": 123,
"summary_model_provider": "<string>",
"summary_model_name": "<string>",
"summary_version": "<string>",
"prompt_summary_status": "<string>",
"prompt_summary_generated_at": "<string>",
"last_source_change_at": "<string>",
"can_publish": "<string>",
"publish_blockers": "<string>",
"latest_summary_generation": "<string>",
"source_count": 123,
"document_count": 123,
"block_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Body
application/json
Wrapped resource object or the same fields at the top level.
Show child attributes
Show child attributes
Was this page helpful?